%define name gtkmm
%define version	1.2.2
%define prefix %{_prefix}
%define release 3mdk

Name: %{name}
Summary: C++ interface for popular GUI library gtk+
Version: %{version}
Release: %{release}
Copyright: LGPL
Group: System/Libraries
Source: http://download.sourceforge.net/gtkmm/%{name}-%{version}.tar.bz2
URL: http://gtkmm.sourceforge.net/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: Gtk--, gtk--
Requires: gtk+ >= 1.2.5, glib, libsigc++ >= 1.0.0
Buildrequires: libsigc++ libsigc++-devel >= 1.0.0 glib-devel gtk+-devel XFree86-devel
Serial:	1

%description
Gtk-- (also named gtkmm as the package) provides convenient interface for C++
programmers to create graphical user interfaces with Gtk+'s flexible OO
framework. Highlights include type safe callbacks, widgets extensible using
inheritance and over 180 classes that can be freely combined to quickly create
complex user interfaces. Gtk-- is free software distributed under GNU Library
General Public License(LGPL).

Install gtkmm if you would like to develop nice User Interfaces to your C++
programs.

%package devel
Summary: Headers for developing programs that will use Gtk--
Group: Development/GNOME and GTK+
Obsoletes: Gtk---devel, gtk---devel
Requires: %{name}, gtk+-devel, glib-devel, libsigc++-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+ (the Gimp
ToolKit) GUI library.

%prep
%setup -q

%build
# override the -mcpu=pentiumpro on x856 archs that make compilation fail
%ifarch %{ix86}
export CFLAGS="-O3 -fomit-frame-pointer -pipe -s -march=pentium -ffast-math -fexpensive-optimizations"
export CXXFLAGS="-O3 -fomit-frame-pointer -pipe -s -march=pentium -ffast-math -fexpensive-optimizations -fexceptions -frtti"
%endif
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

# can't use % makeinstall here because the include will all be in /usr/include whereas they need to be in subdirs gtk--/ gdk--/ etc
%make DESTDIR=$RPM_BUILD_ROOT install

# replace examples.conf by a really simple one
echo 'CXXBUILD = g++ -O2 $< -o $@ `gtkmm-config --cflags --libs` ' > examples/examples.conf


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc examples/ docs/  AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_includedir}/*.h
%{_includedir}/gdk--
%{_includedir}/gtk--
%{_libdir}/*.la
#{prefix}/lib/*.a # uncomment this one for static libs 
#%{_libdir}/*.sh
%{_libdir}/*.so
%{_libdir}/%{name}
#{prefix}/man/man3/*
%{_datadir}/aclocal/gtk--.m4

%changelog
* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-3mdk
- now should also compile on non x86 arch, /me sucks

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-2mdk
- automatically added packager tag

* Wed Aug 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
  (release notes highlights: Changed internals to get around serious gcc bug.
   Earlier versions should be discarded. Use of old version with multiple
   inheritence will cause segfaults!)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-3mdk
- automatically added BuildRequires

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-2mdk
- macros
- specfile big cleanup

* Fri Jun  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- little cleanup of specfile

* Thu May 25 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-2mdk
- Don't try to use -fno-rtti

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Sat Apr  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0pre1-1mdk
- can actually be used now!
- new url

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.1.8-2mdk
- Fix group and other specs subtilities

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- back in contribs
- mandrake build 

* Sun Jan  2 2000 Herbert Valerio Riedel <hvr@gnu.org>
- examples should be makeable now

* Sun Dec 26 1999 Herbert Valerio Riedel <hvr@gnu.org>
- commented out manpages for now...

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added dependancies on libsigc++

* Sat Nov  6 1999 Herbert Valerio Riedel <hvr@gnu.org>
- cleanup for 1.1.x
- changed rpm package name from Gtk-- to gtkmm
- removed that static hack

* Sat Oct 21 1999 Karl Einar Nelson <kenelson@ece.ucdavis.edu>
- Changed dist from Gtk--- to gtkmm-

* Sat Sep 11 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added SMP support
- added custom release feature

* Sun Aug  1 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.1.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

